package com.sckw.core.common.enums.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @desc: 字典类型枚举
 * @author: yzc
 * @date: 2023-07-10 16:46
 */
@Getter
@AllArgsConstructor
public enum DictTypeEnum {
    MSG_CATEGORY("msg_category", "消息分类"),
    MSG_STATUS("msg_status", "消息状态"),
    SEND_SMS_TYPE("send_sms_type", "发送短信类型"),
    INTEGRAL_TYPE("integral_type", "积分类型"),
    UNIT_TYPE("unit_type", "商品单位类型"),
    TAX_RATE("tax_rate", "商品税率"),
    PRICE_TYPE("price_type", "运价方式"),
    TRADE_TYPE("trade_type", "支付方式"),
    PICKUP_TYPE("pickup_type", "提货方式"),
    DELIVERY_TYPE("delivery_type", "交付类型"),
    TORDER_SOURCE("tOrder_source", "交易订单来源"),
    TRANSPORT_TYPE("transport_type", "运输方式"),
    TORDER_STATUS("tOrder_status", "交易订单状态"),
    CONTRACT_STATUS("contract_status", "合同状态"),
    TORDER_ADDRESS_TYPE("tOrder_address_type", "交易订单地址类型"),
    TORDER_UNIT_TYPE("tOrder_unit_type", "交易订单单位类型"),
    ADDRESS_TYPE("address_type", "地址类型"),
    INDUSTRY_TYPE("industry_type", "行业类型"),
    SETTLEMENT_CYCLE("settlement_cycle", "结算周期"),
    SIGNING_TYPE("signing_type", "签约方式"),
    CLASSIFICATION_TYPE("classification_type", "分类类型"),
    CATEGORY_TYPE("category_type", "类别类型"),
    PRODUCT_NAME_TYPE("product_name_type", "品名类型"),
    GOODS_STATUS("goods_status", "商品状态"),
    CHARGING_TYPE("charging_type", "计费方式") ,
    COLOR_TYPE("color_type", "车辆颜色"),
    ENERGY_TYPE("energy_type", "能源类型"),
    TRUCK_TYPE("truck_type", "车辆类型"),
    USE_TYPE("use_type", "使用性质"),
    APPROVED_DRIVING("approved_driving", "准驾车型"),
    SIGNING_WAY("signing_way", "签约方式"),
    WEIGHT_CAR("weight_car", "以车的限重"),
    TAX_RATE_TYPE("tax_rate_type", "合理损耗单位"),
    TRANSPORT_DEMAND_STATUS("transport_demand_status", "运需状态"),
    PREPAID_LIMIT("prepaid_limit", "预付限额"),
    WANT_BUY_STATUS("want_buy_status", "求购状态"),
    ORDER_SOURCE("order_source", "订单来源"),
    ;

    private final String type;
    private final String name;


}
